{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">

  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">

  <!-- jQuery library -->
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

  <!-- Latest compiled JavaScript -->
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>

  <link rel="stylesheet" href="{% static 'css/style.css' %}">
  {% block meta %}
  {% endblock meta %}
  <style>
    html, body{
      height: 100%;
      margin: 0;
    }
    .wrapper {
      min-height: 100%;

      /* Equal to height of footer */
      /* But also accounting for potential margin-bottom of last child */
      margin-bottom: -50px;
      background-image: url(/static/img/Background.png);
    }
    .push {
      height: 50px;
    }
    .footer{
      padding:20px;
      background-color: rgba(17, 82, 180, 0);
      height:0px;
      color:white;
    }
    
    .nav-custom{
      font-size: larger;
      transition:0.5s;
    }
    .nav-custom:hover{
      background-color:  rgba(15, 17, 12, 0.801);
      color:white;
    }
    .nav.navbar-nav.ml-auto li a {
      color: rgba(228, 243, 21, 0.801);;
    }
   

  </style>
  
</head>

<body>
  <div class = "wrapper">
    <!-- Site navbar -->
    <nav class="navbar navbar-expand-md navbar-dark nav-custom">
      <a class="navbar-brand" href="/">Story 9 - Aji</a>
      {% if user.is_authenticated %}
      <ul class ="navbar-nav">
        <li class="nav-item">
            <a class="nav-link" href="/feeds/">Feeds</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="/my-feeds/">My Feeds</a>
        </li>
      </ul>
      <ul class="nav navbar-nav ml-auto">
        <li><a href="/my-feeds/">
          <span class="glyphicon glyphicon-user"></span> Halow {{user.username}} !!</a>
        </li>
        <li><a href="/logout/">
          <span class="glyphicon glyphicon-log-in"></span> Logout</a>
        </li>
      </ul>
      
      {% else %}
      <ul class ="navbar-nav">
        <li class="nav-item">
            <a class="nav-link" href="/feeds/">Feeds</a>
        </li>
      </ul>
      <ul class="nav navbar-nav ml-auto">
        <li><a href="/sign-up/">
          <span class="glyphicon glyphicon-user"></span> Sign Up</a>
        </li>
        <li><a href="/login/">
          <span class="glyphicon glyphicon-log-in"></span> Login</a>
        </li>
      </ul>
      {% endif %}
      
    </nav>

    <!-- Site content -->
    {% block content %}
    {% endblock content %}
    <div class = "push"></div>
  </div>
    <!-- Site footer -->
  <footer class = "footer">
    <p>Story 9 PPW </p>
  </footer>
</body>

</html>
